import { IVehicleDeleteButtonComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkVehicleDeleteButton implements IVehicleDeleteButtonComponent {
    useExternal: boolean;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
